%global pypi_name pytest-checkdocs

Name:           python-%{pypi_name}
Version:        2.1.1
Release:        %mkrel 1
Summary:        check the README when running tests
License:        ASL 2.0
Group:          Development/Python
URL:            https://pypi.org/project/pytest-checkdocs/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
A pytest plugin that checks the long description of the project to ensure it
renders properly.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(toml)

%description -n python3-%{pypi_name}
A pytest plugin that checks the long description of the project to ensure it
renders properly.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc LICENSE CHANGES.rst
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/pytest_checkdocs.py
%{python3_sitelib}/pytest_checkdocs-%{version}-py?.?.egg-info


%changelog
* Tue Nov 10 2020 guillomovitch <guillomovitch> 2.1.1-1.mga8
+ Revision: 1644320
- imported package python-pytest-checkdocs

